(* Globals *)

open Debug;;

(*** cost *)
let cost =
  lazy
    begin
      match !Opt.cost with
      | None -> None
      | Some fn ->
          debug1 10 df "Loading cost from file %S" fn;
          Some(Metric.load_from_file fn)
    end
;;
(* ***)
(*** utility *)
let utility =
  lazy
    begin
      match !Opt.utility with
      | None -> None
      | Some fn ->
          debug1 10 df "Loading utility data from file %S" fn;
          Some(Metric.load_from_file fn)
    end
;;
(* ***)
